Update Scheduled Bill Payment

Update Scheduled Bill Payment. This endpoint allows the scheduled bill payment to be updated, using the paymentIdentifier.
• A one-time Bill Pay schedule cannot be changed to a recurring schedule by changing the frequencyType, because one time and recurring bill pay are under different model schema.
• To change Bill Pay schedules, the customer must delete the one-time bill Pay schedule and create a new recurring bill Pay schedule.
• The frequencyType for recurring bill Pay schedules cannot be changed to oneTime or the frequencyType that was previously set for the bill Pay schedule.
• The frequencyType of 'oneTime' cannot be updated to another frequencyType. Recurring frequencyType can be updated to another recurring frequencyType (i.e. weekly or every2weeks, etc.), except oneTime.

Path Params
string
required

The program code associated with the partner implementation.

string
required

The unique identifier of the account associated with the payment. Must be a valid GUID.

string
required

The unique identifier of the payment to update. Must be a valid GUID.

Body Params

The Gd.Bos.DataTransfer.Request.UpdatePaymentRequest object containing updated payment information.

string | null

The unique identifier of the account associated with the payment. Must be a valid GUID.

string | null

The unique identifier of the payment to update. Must be a valid GUID.

double

The new amount to be paid to the payee.

string | null

The new date the payment is to be sent (format: yyyy-MM-dd).

string | null

The new end date for recurring payments (format: yyyy-MM-dd). Null for one-time payments.

string | null

The new frequency type for the payment (e.g., "oneTime", "weekly", "monthly").

string | null

An optional memo to include with the payment.

string | null

An optional note for the payment.

Headers
string
required

The unique request identifier for idempotency and tracking. Must be provided in the X-GD-RequestId header.

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

401

Unauthorized

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
application/json
text/json